org.springframework.remoting.support

## Class RemoteInvocationUtils

- java.lang.Object
- - org.springframework.remoting.support.RemoteInvocationUtils

    public abstract class RemoteInvocationUtils
    extends Object

General utilities for handling remote invocations.

Mainly intended for use within the remoting framework.

Since:
  2.0
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`RemoteInvocationUtils()`

### Method Summary

Methods
`static void` `fillInClientStackTraceIfPossible(Throwable ex)` Fill the current client-side stack trace into the given exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteInvocationUtils

    public RemoteInvocationUtils()

### Method Detail

#### fillInClientStackTraceIfPossible

    public static void fillInClientStackTraceIfPossible(Throwable ex)

Fill the current client-side stack trace into the given exception.

The given exception is typically thrown on the server and serialized as-is, with the client wanting it to contain the client-side portion of the stack trace as well. What we can do here is to update the `StackTraceElement` array with the current client-side stack trace, provided that we run on JDK 1.4+.

Parameters:
  `ex` - the exception to update
See Also:
  `Throwable.getStackTrace()`, `Throwable.setStackTrace(StackTraceElement[])`